/**
 *
 *  Passenger.java
 *  
 *       @author	Russell Lowke
 *      @version	Last modified 11_03_03
 *
 *    CSCIE-160:	Assignment Three
 *
 *        Usage:	java Elevator
 *
 *
 *  Description:	Elevator simulation for a multi-story building.
 *
 *       Method:	Called by class Floor to keep track of Passengers
 *
 *        Notes:	
 *					Tab Width = 4
 *
 *					Variable prefix conventions:
 *						p 	stands for property of object, also known as a member variable or field
 *						m 	stands for "my" and means a local variable to a method
 *						Obj stands for an object from this package
 */


package cscie160.hw3;

import java.util.*;

public class Passenger {

	// Static vars
	
    // Private vars
	private int 	 pOrigFloor;									// floor passenger is now on. 0 = if in an Elevator.
    private int 	 pDestFloor;									// floor this passenger is destined for

	public Passenger(int mCurrentFloor, int mDestFloor) {
	
		pOrigFloor = mCurrentFloor;
		pDestFloor = mDestFloor;
	}

	/**
    * 
    *	Called when a passenger has arrived on a Floor
    *	Resets properties/variables for this Passenger
    */
	public void arrive() {
		pOrigFloor = pDestFloor;
	}
	
	
	/**
    * 
    *	Override the toString() method of java.lang.Object for printing Passenger values.
	*
    *	@return		summary of pertinent values in Passenger.
    */
	public String toString() {
		return "Passenger from floor " + pOrigFloor + " destined for floor " + pDestFloor;
	}
	

	/**
    * 
    *	Mutator.  sets pOrigFloor
	*
    *	@param		new value for pOrigFloor
    */
	public void setOrigFloor(int mOrigFloor) {
		pOrigFloor = mOrigFloor;
	}
	
	
	/**
    * 
    *	Accessor.  gets pOrigFloor
	*
    *	@return		value of pOrigFloor
    */
	public int getOrigFloor() {
		return pOrigFloor;
	}
	
	
	/**
    * 
    *	Mutator.  sets pDestFloor
	*
    *	@param		new value for pDestFloor
    */
	public void setDestFloor(int mDestFloor) {
		pDestFloor = mDestFloor;
	}
	
	
	/**
    * 
    *	Accessor.  gets pDestFloor
	*
    *	@return		value of pDestFloor
    */
	public int getDestFloor() {
		return pDestFloor;
	}
	
}
