/**
*
*  ATMImplementation.java
*  
*       @author	Russell Lowke
*      @version	Last modified 11_19_03
*
*    CSCIE-160:	Assignment Four
*
*
*  Description:	This is the actual ATM that has a reference to an instance
*				of class Account and manipulates its balance.
*				An instance of ATMImplementation will run on the server.
*
*       Method:	Accessors and mutators that redirect call the Account.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  p   = "property" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw4;

public class ATMImplementation implements ATM {

    Account pAccount;

    /**																		   |
    * 
    *	Constructor.
	*	This ATM has only one account (for now)
    *
    */
    public ATMImplementation() {
    
        // "...for now the ATMImplementation can have just one Account."
        pAccount = new Account();
    }
    
	
    /**																		   |
    * 
    *	Tells account to deposit [amount].
    *
	*	@param	float	Amount to be deposited.
    */
	public void	deposit(float amount) throws ATMException {
        pAccount.deposit(amount);
    }
    
	
    /**																		   |
    * 
    *	Tells account to withdraw [amount]
    *
	*	@param	float	Amount to be withdrawn.
    */
    public void withdraw(float amount) throws ATMException {
        pAccount.withdraw(amount);
    }
    
	
    /**																		   |
    * 
    *	Asks account for the balance in that account.
    *
	*	@return	float	Balance in [account]
    */
    public float getBalance() throws ATMException {
        return pAccount.getBalance();
    }
}