/**
*
*  ATMFactoryImpl.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_04_03
*
*    CSCIE-160:	Assignment Five
*
*
*  Description:	This is the actual ATM that has a reference to an instance
*				of class Account and manipulates its balance.
*				An instance of ATMFactoryImpl will run on the server.
*
*       Method:	Accessors and mutators that redirect call the Account.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw5;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;


public class ATMFactoryImpl extends UnicastRemoteObject implements ATMFactory {

    ATM fAtm = null;
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
	public ATMFactoryImpl() throws RemoteException {
        super();			// invokes no-arg constructor of UnicastRemoteObject
    }


    /**																		   |
    * 
    *	Passes to the client a reference to the ATM
    *
    */
    public ATM getATM() throws RemoteException {
        fAtm = new ATMImpl();
        
        return fAtm;
    }
    
    
    /**																		   |
    * 
    *	Methods for transferring Client ATM requests to the ATM
    *
    */
    public void	deposit(int mAccountNum, float mAmount) throws java.rmi.RemoteException, ATMException {
        fAtm.deposit(mAccountNum, mAmount);
    }
    public void withdraw(int mAccountNum, float mAmount) throws java.rmi.RemoteException, ATMException {
        fAtm.withdraw(mAccountNum, mAmount);
    }
    public float getBalance(int mAccountNum) throws java.rmi.RemoteException, ATMException {
        return fAtm.getBalance(mAccountNum);
    }
}