/**
*
*  ATMParams.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_04_03
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	Interface for ATMParams, implemented by ATMParamsImpl.java
*
*       Method:	Interface for ATMParams type objects
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw6;

public interface ATMParams {

    // interface for deffining constant parameters
    
    static final float	INITIAL_DEPOSIT = 500;
    static final int	ITERATIONS		= 5000;		// number of iterations per thread
    static final int	CHECKTESTS		= 2;		// number of checks before withdrawing
    static final int    SLEEPTIME       = 5000;		// time used for pause if withdrawral cannot be made
    static final int	NORM_PRIORITY   = 5;		// as from   java.lang.Thread
    static final int	MMIN_PRIORITY	= NORM_PRIORITY-4;
    static final int	MMAX_PRIORITY	= NORM_PRIORITY+4;
    static final int	DEPOSITOR       = 0;
    static final int	WITHDRAWER      = 1;
    static final int	TSDEPOSITOR     = 2;
    static final int	TSWITHDRAWER    = 3;
    
}