/**
*
*  Account.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_28_03
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	Account holds the bare minimum needed to hold information
*				that models a bank account.
*
*       Method:	Uses accessors and mutators to modify the field fBalance.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw6;

public class Account {
    
    float fBalance    = 0;
    
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
    public Account(float mInitialBalance) {
        fBalance    = mInitialBalance;
    }
    
    
    /**																		   |
    * 
    *	Deposits an $[amount] into this account
	*	The amount may not be negative, if so an exception is thrown.
    *
	*	@param	float	Amount to be deposited into this account.
    */
	public void	deposit(float amount) throws ATMException {
    
        if (amount < 0) {
            throw new ATMException("Deposit amount is negative [$"+amount+"].");
        } else {
            fBalance += amount;
        }
    }
    
	
    /**																		   |
    * 
    *	Withdraw $[amount] from this account.
	*	The amount may not exceed the balance in the account, 
	*	if it does, then an exception is thrown.
    *
	*	@param	float	Amount to be withdrawn from this account.
    */
    public void withdraw(float amount) throws ATMException {
    
        if (amount > fBalance) {
            throw new ATMException("Withdraw amount [$"+amount
                        +"] exceeds balance [$"+fBalance+"].");
        } else {
            fBalance -= amount;
        }
    }
    
	
    /**																		   |
    * 
    *	Accessors.
    *
    */
    public float getBalance() throws ATMException {
        return fBalance;
    }
}