/**
*
*  TSAccount.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_28_03
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	TSAccount holds the bare minimum needed to hold information
*				that models a bank TSAccount.
*
*       Method:	Uses accessors and mutators to modify the field fBalance.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/

package cscie160.hw6;

public class TSAccount extends Account {
    
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
    public TSAccount(float mInitialBalance) {
        super(mInitialBalance);
    }
    
    
    /**																		   |
    * 
    *	synchronized tread-safe deposit
    *
    *	Deposits an $[amount] into this TSAccount
	*	The amount may not be negative, if so an exception is thrown.
    *
	*	@param	float	Amount to be deposited into this TSAccount.
    */
	public synchronized void deposit(float amount) throws ATMException {
    
        if (amount < 0) {
            throw new ATMException("Deposit amount is negative [$"+amount+"].");
        } else {
            fBalance += amount;
        }
    }
    
	
    /**																		   |
    * 
    *	synchronized tread-safe withdraw
    *
    *	Withdraw $[amount] from this TSAccount.
	*	The amount may not exceed the balance in the TSAccount, 
	*	if it does, then an exception is thrown.
    *
    *
	*	@param	float	Amount to be withdrawn from this TSAccount.
    */
    public synchronized void withdraw(float amount) throws ATMException {
    
        if (amount > fBalance) {
            throw new ATMException("Withdraw amount [$"+amount+"] exceeds balance [$"+fBalance+"].");
        } else {
            fBalance -= amount;
        }
    }
}