/**																			   |
*
*  ATMFactoryImpl.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	This is the actual ATM that has a reference to an instance
*				of class Account and manipulates its balance.
*				An instance of ATMFactoryImpl will run on the server.
*
*       Method:	Accessors and mutators that redirect call the Account.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.project;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;


public class ATMFactoryImpl extends UnicastRemoteObject implements ATMFactory {

    ATM fAtm = new ATMImpl();			// singleton
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
	public ATMFactoryImpl() throws RemoteException {
        super();			// invokes no-arg constructor of UnicastRemoteObject
    }


    /**																		   |
    * 
    *	Passes to the client a reference to the ATM
    *
    */
    public ATM getATM() throws RemoteException {
        
        return fAtm;
    }
}