/**																			   |
*
*  ATMServer.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*        Usage:	java ATMServer
*
*
*  Description:	Registers an instance of a ATMFactory object for access
*				by Client.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/

package cscie160.project;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

public class ATMServer {
    
    /**																		   |
    * 
    *	Read args passed to main(), and trigger ATMServer to be opened.
    *
    */
    public static void main(String[] argv) {
    
        ATMFactory mATMFactoryImpl;
        
        // Create and install a security manager  (not used)
        // System.setSecurityManager(new RMISecurityManager());


        try {
        
            // Create instance of remote object
            mATMFactoryImpl = new ATMFactoryImpl();
            
            // Register remote object
            Naming.rebind("//localhost/atmfactory", mATMFactoryImpl);
            System.out.println("atmfactory bound in registry");
            
        } catch (Exception e) { 
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }
}