/**																			   |
*
*  Account.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	Interface for Account, implemented by AccountImpl.java
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/


package cscie160.project;

public interface Account extends java.rmi.Remote {

    public float getBalance()
                    throws java.rmi.RemoteException;
	public  void deposit(float mAmount)
                    throws ATMException, java.rmi.RemoteException;
    public  void withdraw(float mAmount)
                    throws ATMException, java.rmi.RemoteException;
    public  void transfer(float mAmount, Account mTarget)
                    throws ATMException, java.rmi.RemoteException;
}