/**
*
*  BogusCmd.java
*  
*       @author	Russell Lowke
*      @version	Last modified 11_19_03
*
*    CSCIE-160:	Assignment Four
*
*        Usage:	java Elevator
*
*
*  Description:	Template for concrete Cmd ("command") Class.
*
*       Method:	Use constructor to return Cmd object
*				All Cmd objects have a doIt() call which may
*				is generically invoked
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  p   = "property" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw4;

import java.util.*;

class BogusCmd extends Cmd {

    /**																		   |
    * 
    *	Constructor.
	*	Establishes the ATM instance this command will be sent to
	*	ArrayList should contain 1 arg, the amount to deposit
    *
	*	@param	ATM	 	   ATM command is to be sent to.
	*	@param	ArrayList  String arg, amount to deposit.
    */
	public BogusCmd(ATM mAtm, ArrayList args) {
        super(mAtm, args); 
    }


    /**																		   |
    * 
    *	Template "Bogus" command
	*	The Cmd abstract class demands that doIt() always return a String.
    *
	*	@return	String	doIt must always return a String. 
    */
	public String doIt() {
        return "Unknown Bogus Command";
    }

}