/**
*
*  Client.java
*  
*       @author	cscie160
*      @version	Last modified 11_19_03
*
*    CSCIE-160:	Assignment Four
*
*        Usage:	java Client <host> <port>
*
*
*  Description:	This class is supplied and, aside from formatting
*				modifications, this header, and an argv test, is
*				functionaly unchanged.  Client instantiates the
*				ATMProxy Class, then sends it deposit(), withdraw()
*				and getBalance() calls.  Client is blind to the fact
*				that ATMProxy talks to a remote Server.
*
*       Method:	main() sends remote client calls to the ATMProxy()
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  p   = "property" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw4;

public class Client {

    /**																		   |
    * 
    *	Main.
	*	Instantiates an ATM and sends deposit(), withdraw() and getBalance()
	*	calls to that ATM account.
	*
	*	@param	String	Args sent to main by user
    */
    public static void main(String[] argv) {
	
		if (argv.length < 2) {
			System.out.println("Usage: java Client <host> <port>");
			System.exit(1);
		}
		 
        try {
        
            // parse command line arguments
            String host = argv[0];
            int port = Integer.parseInt(argv[1]);
            
           	ATM atm = new ATMProxy(host, port);
            
            // get initial account balance
            System.out.println("Balance: " + atm.getBalance());
            
            // make $1000 deposit and get new balance
            System.out.println(" Depositing: 1000");
            atm.deposit(1000);
            System.out.println("Balance: " + atm.getBalance());
            
            // make $250 withdrawal and get new balance
            System.out.println(" Withdrawing: 250");
            atm.withdraw(250);
            System.out.println("Balance: " + atm.getBalance());
            
            // make $750 withdrawal and get new balance
            System.out.println(" Withdrawing: 750");
            atm.withdraw(750);
            System.out.println("Balance: " + atm.getBalance());
            
        } catch (ATMException ae) {
            System.out.println("An exception occured while communicating with the ATM");
            ae.printStackTrace();
        }
    }
}