/**
*
*  GetBalanceCmd.java
*  
*       @author	Russell Lowke
*      @version	Last modified 11_19_03
*
*    CSCIE-160:	Assignment Four
*
*
*  Description:	Concrete Cmd Class, used as a "go between"
*				so the Server can send a getBalance() type command to 
*				ATMImlementation and adhere to the ATM Interface
*
*       Method:	Use constructor to return Cmd object
*				All Cmd objects have a doIt() call which may
*				is generically invoked
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  p   = "property" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw4;

import java.util.*;

class GetBalanceCmd extends Cmd {

    /**																		   |
    * 
    *	Constructor.
	*	Establishes the ATM instance this command will be sent to.
    *
	*	@param	ATM	 	   ATM command is to be sent to.
    */
	public GetBalanceCmd(ATM mAtm) {
        super(mAtm, null); 
    }


    /**																		   |
    * 
    *	Send a getBalance command to the ATM
	*	Returns a String representation of the balance in the account
    *
	*	@return	String	String representation of balance in account
    */
	public String doIt() throws ATMException {
    
        float mBalance = 0;
        
        mBalance = pAtm.getBalance();
        
        return ("" + mBalance);
    }
}