package rmiEcho;

import java.rmi.registry.*;
import java.rmi.*;

public class RmiEchoServerAlt {

	public static void main(String argv[]) {
  
        if(argv.length != 3) {
            System.out.println("Usage java RmiEchoServer hostname portNumber objectName");
            System.exit(1);
        }
    
        try {
            System.out.println("Registering EchoImpl object under name " + argv[2]);
            int port = 0;
            
            try {
                port = Integer.parseInt(argv[1]);
            } catch (NumberFormatException e) {
                System.exit(1);
            }
            
            EchoImpl impl = new EchoImpl();
            Registry registry = null;
            try {
            
                System.out.println("Looking on " + argv[0] + ", port " + port);
                registry = LocateRegistry.getRegistry(argv[0], port);
                // rebind throws an exception if the registry is not viable
                registry.rebind(argv[2], impl);
                
            } catch (RemoteException re) {
            
                // since getRegistry did not return a usable Registry, we create our own
                System.out.println("Creating registry on port " + port);
                registry = LocateRegistry.createRegistry(port);
                registry.rebind(argv[2], impl);
                
            }
            
            System.out.println("EchoImpl object was registered under name " + argv[2]);
            
        } catch (Exception e) {
            e.printStackTrace();
        }
        
        System.out.println("main exiting");
    }
}
