/**
*
*  AccountHolder.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_28_03
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	This is the actual ATM that has a reference to an instance
*				of class Account and manipulates its balance.
*				An instance of AccountHolder will run on the server.
*
*       Method:	Accessors and mutators that redirect call the Account.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw6;

public abstract class AccountHolder implements Runnable, ATMParams {

    Account fAccount = null;
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
	public AccountHolder(Account mAccount) {
        fAccount = mAccount;
    }
    
    // factory method for creating AccountHolder objects of various types
    public static AccountHolder createAccountHolder(int mHolderType, Account mAccount) {
        AccountHolder mReturn = null;
        
        switch (mHolderType) {
            case DEPOSITOR:
                mReturn = new Depositor(mAccount);
                break;
            case WITHDRAWER:
                mReturn = new Withdrawer(mAccount);
                break;
            case TSDEPOSITOR:
                mReturn = new TSDepositor(mAccount);
                break;
            case TSWITHDRAWER:
                mReturn = new TSWithdrawer(mAccount);
                break;
        }
        return mReturn;
    }
    
    // empty method declaration
    public abstract void run();
}