/**
*
*  Depositor.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_28_03
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	This is the actual ATM that has a reference to an instance
*				of class Account and manipulates its balance.
*				An instance of AccountHolder will run on the server.
*
*       Method:	Accessors and mutators that redirect call the Account.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw6;


public class Depositor extends AccountHolder {
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
	public Depositor(Account mAccount) {
        super(mAccount);
    }

    public void run() {
        // fAccount
        // iterate a fixed number of times, making a fixed deposit on fAccount
        
        try {
            for (int i = 0; i < ITERATIONS; i++)
                fAccount.deposit(INITIAL_DEPOSIT);
        } catch (ATMException e) {
            System.out.println(e.getMessage());
        }
    }
}