/**																			   |
*
*  ATM.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	Interface for ATM, implemented by ATMImpl.java
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.project;

import java.rmi.*;
import java.util.*;



public interface ATM extends java.rmi.Remote {
    
    // interface ATM is a general Event Producer
    // Listeners may sign up to listen for event (addListener).
    // Further ATM supports remote users calling on ATM to distribute events to its subscribers
	public void addListener(ATMListener listener)
            throws java.rmi.RemoteException, Exception;
	public void distributeEvent(EventObject ev)
            throws java.rmi.RemoteException, Exception;
            
    public float getBalance(AccountInfo mAccountInfo)
            throws java.rmi.RemoteException, SecurityException;
	public void	deposit(AccountInfo mAccountInfo, float mAmount)
            throws java.rmi.RemoteException, ATMException, SecurityException;
    public void withdraw(AccountInfo mAccountInfo, float mAmount)
            throws java.rmi.RemoteException, ATMException, SecurityException;
    public void transfer(AccountInfo mSrcAccountInfo, AccountInfo mTgtAccountInfo, float mAmount)
            throws java.rmi.RemoteException, ATMException, SecurityException;
}