/**																			   |
*
*  ATMFactory.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	Interface for ATMFactory, implemented by ATMFactoryImpl.java
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/

package cscie160.project;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote
public interface ATMFactory extends java.rmi.Remote {

    // each method must declare java.rmi.RemoteException in its throws clause
    ATM getATM() throws java.rmi.RemoteException;
}