/**                                                                            |
*
*  ATMListener.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	The ATMListener interface includes a method to receive
*				TransactionNotification messages from the ATM. [Such a method 
*				is usually called a handler, in this case a notification 
*				handler.] Upon receiving a message, the notification should be
*				printed to stdout. The Client will implement this remote 
*				interface.
*
*       Method:	Uses accessors and mutators to modify the field fBalance.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/

package cscie160.project;

import java.rmi.*;
import java.util.*;

public interface ATMListener extends java.rmi.Remote {
	public void handleEvent(EventObject mEventObject) throws java.rmi.RemoteException;  
}