/**                                                                            |
*
*  AccountInfo.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	The AccountInfo object is a data class that includes an account
*				number and a PIN. Instances are passed by value between processes.
*
*       Method:	Uses accessors and mutators to modify the field fBalance.
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/


package cscie160.project;

public class AccountInfo implements java.io.Serializable {
    
    int	fAccountNum   = 0000000;
    int	fAccountPin   = 0000;
    
    /**																		   |
    * 
    *	Constructor.
    *
    */
    public AccountInfo(int mAccountNum, int mAccountPin) {
        fAccountNum = mAccountNum;
        fAccountPin = mAccountPin;
    }
    
	
    /**																		   |
    * 
    *	Accessors.
    *
    */
    public int getAccountNum() {
        return fAccountNum;
    }
	public int getAccountPin() {
        return fAccountPin;
    }
}