/**                                                                            |
*
*  SecurityException.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	SecurityException is an Exception class that extends Exception.
*				Exception Class for handling all errors associated with
* 				the ATM transaction.  Such errors are triggered in the
*				class Account, and filter through the classes
*				ATMImplementation, Server, ATMProxy and (finally) Client
*
*       Method:	Custom Exception class using SecurityException(mMessage)
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.project;

public class SecurityException extends Exception {

    /**																		   |
    *
    *	Standard SecurityException constructor.
    *
    */
	public SecurityException() {
		super("SecurityException exception thrown.");
    }
	
	
    /**																		   |
    * 
    *	SecurityException constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public SecurityException(String mMessage) {
		super(mMessage);
    }
}

